# Uses of Interface
org.opensaml.saml.saml2.core.Response

Packages that use Response
Package
Description
org.opensaml.saml.common.messaging.context
Context classes for SAML-based messaging function.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.profile
Classes for SAML 2.0 profile behavior.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.
org.opensaml.saml.saml2.testing

## Uses of Response in org.opensaml.saml.common.messaging.context

Methods in org.opensaml.saml.common.messaging.context with parameters of type Response
Modifier and Type
Method
Description
`protected String`
SAMLPeerEntityContext.`processSaml2ResponseAssertions(Response response)`
Resolve the SAML entity ID from the Assertions of a SAML 2 response.

## Uses of Response in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement Response
Modifier and Type
Class
Description
`class`
`ResponseImpl`
Concrete implementation of `Response`.
Methods in org.opensaml.saml.saml2.core.impl that return Response
Modifier and Type
Method
Description
`Response`
ResponseBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`Response`
ResponseBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of Response in org.opensaml.saml.saml2.profile

Methods in org.opensaml.saml.saml2.profile with parameters of type Response
Modifier and Type
Method
Description
`static Assertion`
SAML2ActionSupport.`addAssertionToResponse(AbstractProfileAction action, Response response, IdentifierGenerationStrategy idGenerator, String issuer)`
Constructs and adds a `Assertion` to the given `Response`.

## Uses of Response in org.opensaml.saml.saml2.profile.impl

Fields in org.opensaml.saml.saml2.profile.impl declared as Response
Modifier and Type
Field
Description
`private Response`
AddChannelBindingsToAssertions.`response`
Response to modify.
`private Response`
AddGeneratedKeyToAssertions.`response`
Response to modify.
`private Response`
AddOneTimeUseConditionToAssertions.`response`
Response to modify.
`private Response`
AddProxyRestrictionToAssertions.`response`
Response to modify.
`private Response`
AddSubjectConfirmationToSubjects.`response`
Response to modify.
`private Response`
CopyNameIDFromRequest.`response`
Response to modify.
`private Response`
EncryptAssertions.`response`
The message to operate on.
`private Response`
EncryptAttributes.`response`
The message to operate on.
Fields in org.opensaml.saml.saml2.profile.impl with type parameters of type Response
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,Response>`
AddChannelBindingsToAssertions.`responseLookupStrategy`
Strategy used to locate the `Response` to operate on.
`private Function<ProfileRequestContext,Response>`
AddGeneratedKeyToAssertions.`responseLookupStrategy`
Strategy used to locate the `Response` to operate on.
`private Function<ProfileRequestContext,Response>`
AddOneTimeUseConditionToAssertions.`responseLookupStrategy`
Strategy used to locate the `Response` to operate on.
`private Function<ProfileRequestContext,Response>`
AddProxyRestrictionToAssertions.`responseLookupStrategy`
Strategy used to locate the Response to operate on.
`private Function<ProfileRequestContext,Response>`
AddSubjectConfirmationToSubjects.`responseLookupStrategy`
Strategy used to locate the `Response` to operate on.
`private Function<ProfileRequestContext,Response>`
CopyNameIDFromRequest.`responseLookupStrategy`
Strategy used to locate the `Response` to operate on.
Methods in org.opensaml.saml.saml2.profile.impl with parameters of type Response
Modifier and Type
Method
Description
`private void`
DecryptAssertions.`processResponse(ProfileRequestContext profileRequestContext, Response response)`
Decrypt any `EncryptedAssertion` found in a response and replace it with the result.
Method parameters in org.opensaml.saml.saml2.profile.impl with type arguments of type Response
Modifier and Type
Method
Description
`void`
AddChannelBindingsToAssertions.`setResponseLookupStrategy(Function<ProfileRequestContext,Response> strategy)`
Set the strategy used to locate the `Response` to operate on.
`void`
AddGeneratedKeyToAssertions.`setResponseLookupStrategy(Function<ProfileRequestContext,Response> strategy)`
Set the strategy used to locate the `Response` to operate on.
`void`
AddOneTimeUseConditionToAssertions.`setResponseLookupStrategy(Function<ProfileRequestContext,Response> strategy)`
Set the strategy used to locate the `Response` to operate on.
`void`
AddProxyRestrictionToAssertions.`setResponseLookupStrategy(Function<ProfileRequestContext,Response> strategy)`
Set the strategy used to locate the Response to operate on.
`void`
AddSubjectConfirmationToSubjects.`setResponseLookupStrategy(Function<ProfileRequestContext,Response> strategy)`
Set the strategy used to locate the `Response` to operate on.
`void`
CopyNameIDFromRequest.`setResponseLookupStrategy(Function<ProfileRequestContext,Response> strategy)`
Set the strategy used to locate the `Response` to operate on.

## Uses of Response in org.opensaml.saml.saml2.testing

Methods in org.opensaml.saml.saml2.testing that return Response
Modifier and Type
Method
Description
`static Response`
SAML2ActionTestingSupport.`buildResponse()`
Builds an empty response.